package online.wesal.wesal.dto;

import jakarta.validation.constraints.NotBlank;

public class LoginRequest {
    
    @NotBlank
    private String phoneNumberOrUsername;
    
    @NotBlank
    private String password;
    
    public LoginRequest() {}
    
    public LoginRequest(String phoneNumberOrUsername, String password) {
        this.phoneNumberOrUsername = phoneNumberOrUsername;
        this.password = password;
    }
    
    public String getPhoneNumberOrUsername() {
        return phoneNumberOrUsername;
    }
    
    public void setPhoneNumberOrUsername(String phoneNumberOrUsername) {
        this.phoneNumberOrUsername = phoneNumberOrUsername;
    }
    
    public String getPassword() {
        return password;
    }
    
    public void setPassword(String password) {
        this.password = password;
    }
}